Arch CloseHoles/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/ru")
(Updating to match new version of source page)
 
(15 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
|[[Arch_RemoveShape|RemoveShape]]
|[[Arch_MergeWalls|MergeWalls]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconR=Arch_MergeWalls.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch CloseHoles
|Name=Arch CloseHoles
|Name/ru=Arch CloseHoles
|Name/ru=Arch CloseHoles
|Workbenches=[[Arch Module/ru|Arch]]
|MenuLocation=Архитектура → Утилиты → Убрать отверстия
|MenuLocation=Архитектура → Утилиты → Убрать отверстия
|Workbenches=[[Arch_Workbench/ru|Arch]]
|SeeAlso=[[Arch Check/ru|Проверь]]
|SeeAlso=[[Arch Check/ru|Проверь]]
}}
}}
</div>
</div>


==Description==
<span id="Description"></span>
==Описание==


<div class="mw-translate-fuzzy">
This tool identifies holes (circular sequence of open edges) in a [[Part Module|Shape]] object and attempts to close it by adding it a new face made from that edges sequence. You must still verify yourself that the result is a solid, though.
Этот инструмент идентифицирует дыры (круговую последовательность открытых ребер) в объекте [[Part_Workbench | Shape]] и пытается закрыть его, добавив в него новую грань, сделанную из этой последовательности ребер. Вы все равно должны убедиться, что результат является прочным.
</div>


<span id="Usage"></span>
==How to use==
<div class="mw-translate-fuzzy">
==Использование==
</div>


# Select a [[Part Module|Shape]] object
# Select a [[Part_Workbench|Shape]] object.
# Press the {{KEY|[[Image:Arch CloseHoles.png|16px]] '''Close Holes'''}} entry in Arch -> Utilities menu
# Press the {{Button|[[Image:Arch CloseHoles.svg|16px]] [[Arch CloseHoles|Close Holes]]}} entry in {{MenuCommand|Arch Utilities Close Holes}}.


==Scripting==
==Scripting==


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
This tool can by used in [[macros|macros]] and from the python console by using the following function:

This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
closeHole (shape)
solid = closeHole(shape)
}}

* Closes a hole in a {{incode|shape}}, which is a {{incode|Part.Shape}}, and returns the new {{incode|solid}} object.

Example:
{{Code|code=
import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()

solid = Arch.closeHole(Wall.Shape)
}}


{{Docnav
|[[Arch_RemoveShape|RemoveShape]]
|[[Arch_MergeWalls|MergeWalls]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconR=Arch_MergeWalls.svg
|IconC=Workbench_Arch.svg
}}
}}
closes a hole in an open shape


{{Arch Tools navi{{#translation:}}}}
[[Category:Arch/ru]]
{{Userdocnavi{{#translation:}}}}

Latest revision as of 12:05, 19 May 2023

Arch CloseHoles

Системное название
Arch CloseHoles
Расположение в меню
Архитектура → Утилиты → Убрать отверстия
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Проверь

Описание

Этот инструмент идентифицирует дыры (круговую последовательность открытых ребер) в объекте Shape и пытается закрыть его, добавив в него новую грань, сделанную из этой последовательности ребер. Вы все равно должны убедиться, что результат является прочным.

Использование

  1. Select a Shape object.
  2. Press the Close Holes entry in Arch → Utilities → Close Holes.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

solid = closeHole(shape)
  • Closes a hole in a shape, which is a Part.Shape, and returns the new solid object.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)